@charset "UTF-8";
/*
  add style
*/

/* 20260610追記（ケース：02664177） フローティング予約バナー */
.c-floating-banner {
  position: fixed;
  z-index: 100;
  top: 220px;
  right: 2em;
}
.c-floating-banner__list {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1em;
  list-style: none;
  margin: 0;
  padding: 0;
}
.c-floating-banner__list .item {
  margin: 0;
  padding: 0;
}
.c-floating-banner__list .item a {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 0.6em;
  font-size: 2.0rem;
  font-weight: bold;
  line-height: 1.2;
  letter-spacing: 0.1em;
  white-space: nowrap;
  text-align: center;
  padding: 1em 0.75em 0.5em;
  text-decoration: none;
  color: #FFF;
  background: #0060BF;
  border: #0060BF solid 3px;
  border-radius: 0.33em;
  box-shadow: 0 0.2em 1em 0 rgba(0, 0, 0, 0.33);
  cursor: pointer;
  text-orientation: upright;
  -ms-writing-mode: tb-rl;
  writing-mode: vertical-rl;
  transition: opacity .2s ease-in-out;
}
.c-floating-banner__list .item a:hover {
  opacity: 0.8;
}
.c-floating-banner__list .item a[href^="http"]:after {
  margin: 0;
  padding: 0;
}
.c-floating-banner__list .item--yoyaku a {
  background: #F2697F;
  color: #FFF;
  border-color: #EC4359;
}
@media (max-width: 768px) {
  .c-floating-banner {
    top: auto;
    right: auto;
    bottom: 1.5em;
    left: 0;
    width: 100%;
  }
  .c-floating-banner__list {
    flex-direction: row;
    gap: 1em;
  }
  .c-floating-banner__list .item {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
  }
  .c-floating-banner__list .item a {
    width: 100%;
    max-width: 280px;
    font-size: 1.8rem;
    white-space: wrap;
    padding: 0.55em 0.5em 0.65em 1em;
    text-orientation: sideways;
    -ms-writing-mode: tb-lr;
    writing-mode: horizontal-tb ;
  }
  footer .copy {
    padding-bottom: 80px;
  }
  #page-top {
    bottom: 80px;
  }
}